import request from '@/utils/request'

// 查询会员权益(定时任务重置剩余值)，用户id、会员卡id、权益对应1列表
export function listRights(query) {
  return request({
    url: '/rights/rights/list',
    method: 'get',
    params: query
  })
}

// 查询会员权益(定时任务重置剩余值)，用户id、会员卡id、权益对应1详细
export function getRights(id) {
  return request({
    url: '/rights/rights/' + id,
    method: 'get'
  })
}

// 新增会员权益(定时任务重置剩余值)，用户id、会员卡id、权益对应1
export function addRights(data) {
  return request({
    url: '/rights/rights',
    method: 'post',
    data: data
  })
}

// 修改会员权益(定时任务重置剩余值)，用户id、会员卡id、权益对应1
export function updateRights(data) {
  return request({
    url: '/rights/rights',
    method: 'put',
    data: data
  })
}

// 删除会员权益(定时任务重置剩余值)，用户id、会员卡id、权益对应1
export function delRights(id) {
  return request({
    url: '/rights/rights/' + id,
    method: 'delete'
  })
}
